import { Module } from '@nestjs/common';
import { PipelinesResolver } from './pipelines.resolver';
import { PipelinesService } from './pipelines.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Pipeline } from './pipeline.entity';
import { BullModule } from '@nestjs/bull';
import { LIST_LOGS_TASK } from '../repos/repos.constants';
import { CommitLogsResolver } from './commit-logs.resolver';
import { PipelineTasksModule } from '../pipeline-tasks/pipeline-tasks.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([Pipeline]),
    BullModule.registerQueue({
      name: LIST_LOGS_TASK,
    }),
    PipelineTasksModule,
  ],
  providers: [PipelinesResolver, PipelinesService, CommitLogsResolver],
})
export class PipelinesModule {}
